<!---
/** 
* This component helps in queries by doing the 'do I need a comma here' part easier
* http://jehiah.com/archive/query-helper 
* 
* @author Jehiah Czebotar (jehiah@gmail.com) 
* @version 1, June 13, 2005 */
--->

<cfcomponent >

<cfproperty name="output_string" type="string" default="," required="yes">
<!--- normal usage is to 'not' display the first time called --->
<cfproperty name="show_output" type="boolean" default="false">

<cffunction name="setType" access="public" returntype="any" output="false">
	<cfargument name="output_string" type="string" required="yes">
	<cfset this.output_string = arguments.output_string>
	<cfset this.show_output = false>
	<cfreturn true>
</cffunction>

<cffunction name="show" access="public" returntype="string" output="false">
	<cfif not this.show_output><cfset this.show_output=true><cfreturn ""><cfelse><cfreturn this.output_string></cfif>
</cffunction>

<cffunction name="clear" access="public" returntype="any" output="false">
	<cfargument name="output_string" type="string" default="" required="no">
	<cfset this.show_output=false>
	<cfif arguments.output_string is not ""><cfset this.output_string=arguments.output_string></cfif>
</cffunction>

</cfcomponent>
